﻿@model RaamatukoguAPP11.Eksemplar

@{
    ViewBag.Title = "MinuRaamat";
}

<h2>Minu raamat</h2>

<div>
    <h4>Eksemplar</h4>
    <hr />
    <dl class="dl-horizontal">
        
        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Isbn)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Isbn)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Tiitel)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Tiitel)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Autor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Autor)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Aasta)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Aasta)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Pilt)
        </dt>

        <dd>
            @*@Html.DisplayFor(model => model.Raamat.Pilt)*@
            <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = Model.Raamat.Kood } )' height="300" />
        </dd>
        
        <dt>
            Kategooria
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Kategooria.Kategooria1)
        </dd>

        <dt>
            Sildid
        </dt>

        <dd>
            <ul type="circle">
                @foreach (EksemplariSilt es in Model.EksemplariSilt.Where(x => x.SildiKood != 0))
    {
            <li>
                @es.Silt.Silt1
            </li>

}
            </ul>
</dd>

        <dt>
            Asukoha kommentaar
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AsukohaKommentaar)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Kapp)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Kapp)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Riiul)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Riiul)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Saadaval)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Saadaval)
        </dd>

        <dt>
            @*@Html.DisplayNameFor(model => model.Kasutaja.Email)*@
            Hoidja
        </dt>

        <dd>
            @Html.DisplayFor(model => model.KasutajaH.Email)
        </dd>

        

        @*<dt>
            @Html.DisplayNameFor(model => model.Kasutaja1.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.KasutajaO.Email)
        </dd>*@

        

    </dl>
</div>
<p>
    @Html.ActionLink("Muuda", "Edit", new { id = Model.Kood }) |
    @Html.ActionLink("Minu raamatute nimekiri", "Index")
</p>
